

# UNDER SVN - UNDER SVN - UNDER SVN - UNDER SVN
# https://cvs.mandriva.com/svn/mdv/cooker/xen/

# Please don't forget to set REL back to 1 when SOURCE_VER is increased
%define source_ver 20060703
%define rel 3
%define subrel 1

Name: xen
Version: 3.0.3
Release: %mkrel 0.%{source_ver}.%{rel}
Summary: The basic tools for managing XEN virtual machines.
Summary(pt_BR): Ferramentas para gerenciamento das mquinas virtuais XEN.
Group: System/Kernel and hardware
#Group(pt_BR): Utilitrios
#Group(es): Utilitarios
License: GPL
Source0: xen-%{source_ver}.tar.bz2
Patch0: make_bridge_mac_config.patch.bz2
Patch1: xen-3.0.3-20060703-pygrub-CVE-2007-4993.patch
Patch2: xen-3.0.3-20060703-qemu-ne2000-CVE-2007-1321.patch
Patch3: xen-CVE-2007-1320.patch
Patch4: xen-3.0.3-CVE-2007-3919.patch
Requires: python-twisted-core
Requires: python
Requires: module-init-tools
Requires: iptables
Requires: bridge-utils
Requires: glibc-xen
BuildRequires:	SDL-devel
BuildRequires:	curl-devel
Buildrequires:	dev86-devel
BuildRequires: libext2fs-devel
BuildRequires:	ncurses-devel
BuildRequires:	libpython-devel >= 2.4
BuildRequires:	zlib-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-root


%description 
The basic tools for managing XEN virtual machines.

%description -l pt_BR
Ferramentas para gerenciamento das mquinas virtuais XEN.

%prep
%setup -q -n %{name}-unstable
%patch0 -p1 -b .mac_bridge
%patch1 -p1 -b .cve-2007-4993
%patch2 -p1 -b .cve-2007-1321
%patch3 -p1 -b .cve-2007-1320
%patch4 -p1 -b .cve-2007-3919

%build

# clean all stuff
make clean
export CFLAGS="$CFLAGS -fno-strict-aliasing"
export HOSTCC="$HOSTCC -fno-strict-aliasing"
%make -C tools 
%make -C xen 


%install
export DONT_GPRINTIFY=1
rm -rf %{buildroot}
make DESTDIR=%{buildroot} -C tools install
make DESTDIR=%{buildroot} -C xen install

# fix man pages
mkdir -p %{buildroot}%{_datadir}/man
#cp -adpR %{buildroot}/usr/man/* %{buildroot}%{_datadir}/man/
#rm -rf %{buildroot}/usr/man


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README
%dir %{_sysconfdir}/xen
%dir %{_sysconfdir}/xen/auto
%config %{_sysconfdir}/sysconfig/xendomains
%config %{_sysconfdir}/udev/rules.d/xen-backend.rules
%config %{_sysconfdir}/udev/xen-backend.rules
%config %{_sysconfdir}/xen/xend-config.sxp
%config %{_sysconfdir}/xen/xmexample1
%config %{_sysconfdir}/xen/xmexample2
%config %{_sysconfdir}/xen/xmexample.vti
%config %{_sysconfdir}/xen/xmexample.hvm
%config %{_sysconfdir}/xen/scripts/*
%config %{_sysconfdir}/xen/qemu-ifup
%{_mandir}/man*/*
%dir %{_libdir}/xen
%{_libdir}/xen/*
%{_prefix}/lib/xen/*
%dir %{_libdir}/python/xen
%{_libdir}/python/xen/*
%{_libdir}/python/grub/*
%{_libdir}/libxenstore*
%{_libdir}/libxenctrl*
%{_libdir}/libxenguest*
%{_includedir}/*.h
%dir %{_datadir}/xen
%{_datadir}/xen/*
%dir /var/lib/xenstored
%dir /var/run/xenstored
/boot/xen*
%dir /usr/include/xen
/usr/include/xen/*
%config %{_sysconfdir}/init.d/xend
%config %{_sysconfdir}/init.d/xendomains
%{_sbindir}/xenstored
%{_sbindir}/netfix
%{_sbindir}/xm
%{_sbindir}/xend
%{_sbindir}/xenperf
%{_sbindir}/xenconsoled
%{_sbindir}/xentop
%{_sbindir}/xen-bugtool
%{_sbindir}/setmask
%{_sbindir}/xenbaked
%{_sbindir}/xenmon.py
%{_bindir}/xenperf
%{_bindir}/xc_shadow
%{_bindir}/xencons
%{_bindir}/cpuperf-xen
%{_bindir}/cpuperf-perfcntr
%{_bindir}/lomount
%{_bindir}/xentrace
%{_bindir}/xentrace_format
%{_bindir}/xenstore-*
%{_bindir}/setsize
%{_bindir}/pygrub


%changelog
* Tue Oct 30 2007 Vincent Danen <vdanen@mandriva.com> 3.0.3-0.20060703.3.1mdv2007.0
- P2: security fix for CVE-2007-4993
- P3: security fix for CVE-2007-1321
- P4: security fix for CVE-2007-1320
- P5: security fix for CVE-2007-3919

* Tue Sep 19 2006 Arnaud Patard <apatard@mandriva.com> 3.0.3-0.20060703.3mdv2007.0
- Rebuild with ncurses 5.5-1.20051029.3mdv2007.0

* Tue Sep 12 2006 Arnaud Patard <apatard@mandriva.com> 3.0.3-0.20060703.2mdv2007.0
- Fix patch0

* Mon Jul 10 2006 Arnaud Patard <apatard@mandriva.com> 3.0.3-0.20060703.1mdv2007.0
- New snapshot

* Thu May 18 2006 Arnaud Patard <apatard@mandriva.com> 3.0-0.20060510.1mdk
- New snapshot
- Disable gprintify
- Allow to set bridge mac adress

* Tue Jan 17 2006 Arnaud Patard <apatard@mandriva.com> 3.0-0.20051213.1mdk
- New snapshot

* Mon Jan 16 2006 Stefan van der Eijk <stefan@eijk.nu> 3.0-0.20050823.7mdk
- BuildRequires

* Thu Sep  8 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 3.0-0.20050823.6mdk
- x86_64 fixes for binutils 2.16.9x
- requires glibc-xen for */nosegneg/ libs

* Thu Aug 11 2005 Flvio Bruno Leitner <fbl@mandriva.com> 3.0-0.20050823.5mdk
- updated to snapshot of 2005-08-23 (last know working)

* Thu Aug 11 2005 Flvio Bruno Leitner <fbl@mandriva.com> 3.0-0.20050829.4mdk
- updated to snapshot of 2005-08-29

* Thu Aug 11 2005 Flvio Bruno Leitner <fbl@mandriva.com> 3.0-0.20050811.3mdk
- updated to snapshot of 2005-08-19

* Thu Aug 11 2005 Flvio Bruno Leitner <fbl@mandriva.com> 3.0-0.20050811.2mdk
- updated to snapshot of 2005-08-11

* Fri Aug 05 2005 Flvio Bruno Leitner <fbl@mandriva.com> 3.0-0.20050801.1mdk
- created package.

